Bug 218837 - KOrganizer selected toolbars always reset.
KOrganizer selected toolbars always reset.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
8
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 14:21 EST by Jake Gage
Modified: 2009-01-08 23:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Gage 2006-12-07 14:21:45 EST
Description of problem:

In the KOrganizer application, there are two default toolbars enabled under the
"Settings -> Toolbars" menu: Main and Views.  Two other Toolbars are also
available: Schedule and Filters Toolbar (which may be more appropriately named
"Filters" for parity, but that's neither here nor there).

Selection or removal of each toolbar adds or removes it properly, but only until
the application is closed.  When the application is reopened, the "Main" and
"Views" toolbars are activated.  It is not, as far as I can tell then, possible
to enable the useful "Filters" or "Schedule" toolbars on application startup.

I believe this is a bug, rather than a feature request, because items in the
"Settings -> Sidebar" menu are persisted through shutdown and restart.

Version-Release number of selected component (if applicable):
kdepim-3.5.5-0.2.fc6
(KOrganizer 3.5.5)

How reproducible:
always

Steps to Reproduce:
1. Open KOrganizer.
2. Choose to add or remove a toolbar from "Settings -> Toolbars".
3. Close KOrganizer.
4. Re-open KOrganizer.
  
Actual results:
The original toolbar settings are present.

Expected results:
The addition or removal of toolbars from the previous session is persisted.

Additional info:
Thanks for all the great work, guys!
Comment 1 Lukáš Tinkl 2008-02-08 07:15:09 EST
Bug still present in F8
Comment 2 Bug Zapper 2008-11-26 02:07:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-08 23:35:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.